#
# spec file for package gap-polymaking
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-polymaking
Summary:        GAP: Interfacing the geometry software polymake
Version:        0.8.7
Release:        1.6
License:        GPL-2.0
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/polymaking/
#Git-Clone:     https://github.com/gap-packages/polymaking
Source:		https://github.com/gap-packages/polymaking/releases/download/v%version/polymaking-%version.tar.gz
BuildRequires:  fdupes
BuildRequires:  gap-rpm-devel
BuildArch:      noarch
Requires:       gap-core >= 4.8
Requires:       polymake
Suggests:       gap-gapdoc >= 0.99

%description
A very basic GAP-interface to the program "polymake" by Ewgenij
Gawrilow and Michael Joswi.

%prep
%autosetup -n polymaking-%version

%build

%install
%gappkg_simple_install
%fdupes %buildroot/%_prefix

%files -f %name.files

%changelog
* Tue Nov 21 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 0.8.7
  * Janirorial changes only
* Sat Nov 19 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 0.8.6
  * polymake 4.1 compatibility
  * added functionality for the polymake command ADJACENCY
* Fri Feb  7 2014 jengelh@inai.de
- Update to new upstream release 0.8.1
  * No more support for "old" polymake features. This version is for
  next-generation polymake run in compatibility mode. More
  specifically:
  - use of clients is no longer supported
  - some keywords are no longer supported (e.g. HASSE_DIAGRAM)
* Fri May 10 2013 jengelh@inai.de
- Split polymaking (version 0.7.8) off the gap RPM package
